AM263Px MCU+ SDK: SDL_PBIST_configNeg Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
SDL_PBIST_configNeg Struct Reference
APIs for SDL Module » APIs for PBIST (Memory Built-In Self Test) » PBIST Low-Level API

## Detailed Description

This structure contains the different configuration used for PBIST for the failure insertion test to generate negative result.

Design: PROC_SDL-977

## Data Fields
uint32_t | CA0
uint32_t | CA1
uint32_t | CA2
uint32_t | CA3
uint32_t | CL0
uint32_t | CL1
uint32_t | CL2
uint32_t | CL3
uint32_t | CMS
uint32_t | CSR
uint32_t | I0
uint32_t | I1
uint32_t | I2
uint32_t | I3
uint32_t | RAMT

## Field Documentation

## ◆ CA0

uint32_t SDL_PBIST_configNeg::CA0

Failure insertion value for CA0 Value for the Failure Insertion Test Vector CA0

## ◆ CA1

uint32_t SDL_PBIST_configNeg::CA1

Failure insertion value for CA1 Value for the Failure Insertion Test Vector CA1

## ◆ CA2

uint32_t SDL_PBIST_configNeg::CA2

Failure insertion value for CA2 Value for the Failure Insertion Test Vector CA2

## ◆ CA3

uint32_t SDL_PBIST_configNeg::CA3

Failure insertion value for CA3 Value for the Failure Insertion Test Vector CA3

## ◆ CL0

uint32_t SDL_PBIST_configNeg::CL0

Failure insertion value for CL0 Value for the Failure Insertion Test Vector CL0

## ◆ CL1

uint32_t SDL_PBIST_configNeg::CL1

Failure insertion value for CL1 Value for the Failure Insertion Test Vector CL1

## ◆ CL2

uint32_t SDL_PBIST_configNeg::CL2

Failure insertion value for CL2 Value for the Failure Insertion Test Vector CL2

## ◆ CL3

uint32_t SDL_PBIST_configNeg::CL3

Failure insertion value for CL3 Value for the Failure Insertion Test Vector CL3

## ◆ CMS

uint32_t SDL_PBIST_configNeg::CMS

Failure insertion value for CMS Value for the Failure Insertion Test Vector CMS

## ◆ CSR

uint32_t SDL_PBIST_configNeg::CSR

Failure insertion value for CSR Value for the Failure Insertion Test Vector CSR

## ◆ I0

uint32_t SDL_PBIST_configNeg::I0

Failure insertion value for I0 Value for the Failure Insertion Test Vector I0

## ◆ I1

uint32_t SDL_PBIST_configNeg::I1

Failure insertion value for I1 Value for the Failure Insertion Test Vector I1

## ◆ I2

uint32_t SDL_PBIST_configNeg::I2

Failure insertion value for I2 Value for the Failure Insertion Test Vector I2

## ◆ I3

uint32_t SDL_PBIST_configNeg::I3

Failure insertion value for I3 Value for the Failure Insertion Test Vector I3

## ◆ RAMT

uint32_t SDL_PBIST_configNeg::RAMT

Failure insertion value for RAMT Value for the Failure Insertion Test Vector RAMT